//
// Created by sebastian on 07.02.26.
//

#ifndef TEXTURELOADER_H
#define TEXTURELOADER_H


#include <string>

#include "Texture2D.h"

class TextureLoader {
public:
    static Texture2D loadTexture(const std::string& path);
    static void free(Texture2D& texture);
};



#endif //TEXTURELOADER_H
